function [Corr_Coeff]=Corr_DNR(x,y);
% x=Signal';
% y=Signal';

[n1,p1]=size(x);
[n2,p2]=size(y);

for i = 1:p1
    for j = 1:p2
        xi = x(:,i);
        yj = y(:,j);

        x0 = xi - mean(xi);
        y0 = yj - mean(yj);
        Corr_Coeff(i,j) = (x0./norm(x0))' * (y0 ./ norm(y0));
    end
end
