function W = RowsPartition( X, partitions)
    rows = size(X,1);
    stride = floor( rows/partitions);
    remaining = mod( rows, partitions);
    
    count = 1;
    W = cell( 1, partitions );
    
    for i = 1:partitions
        step = count + stride -1;
        if ( i == partitions )
            step = step + remaining;
        end
        W{i} = X(count:step,:);
        count = count + stride;
    end
end