function [saisir] = selectrow(saisir1,index)
%selectrow 	    	- creates a new data matrix with the selected rows
%function [X] = selectrow(X1,index)
%
%Input arguments
%===============
%X1: SAISIR matrix (n x p) 
%Index: vector of integer or of booleans
%
%Output argument
%===============
%X: matrix with n columns reduced to the selected rows
%
% %Typical example:
% %===============
%reduced=selectrow(DATA,[1 5 6]); %% selects the rows #1, #5, #6 and
%%builds the reduced matrix (with 3 rows) in "reduced"
%
%See also: selectcol, deletecol, deleterow, appendcol, appendrow,
%appendcol1, appendrow1

% on commence par recopier tous les champs dans la nouvelle structure
saisir = saisir1;

% puis on applique la selection
saisir.d=saisir1.d(index,:);
saisir.i=saisir1.i(index,:);
saisir.v=saisir1.v;

saisir.lastmodif = datestr(datetime);

%% Extension TOFOO
% on cherche le champ eretic pour verifier qu'il s'agit d'une structure
% SAISIR TOFoo RMN
% listFields = fieldnames(saisir1);
% testRMN = sum(double(cell2mat(cellfun(@(x) isequal(x,'eretic'), listFields,'UniformOutput',false))));
% if testRMN == 1
%     try
%         saisir.eretic = saisir1.eretic;
%         saisir.scale = saisir1.scale;
%         saisir.dilution = saisir1.dilution;
%         saisir.internalSamplesNames = saisir1.internalSamplesNames;
%         saisir.rawdata = saisir1.rawdata;
%         saisir.createdby = saisir1.createdby;
%         saisir.created = saisir1.created;
%         saisir.method = saisir1.method;
%         saisir.instrument = saisir1.instrument;
%         saisir.datatype = saisir1.datatype;
% 
%     catch err
%         pos = findstr(err.message,'''');
%         disp(['Il manque le champ : [' err.message(pos(1):pos(2)) '] dans votre structure SAISIR 2.0 ToFoo']);
%     end
% else
%     disp('L''un des champ de la structure RMN est manquant')
% end