function [T] = PCA_Tall_PCT_DNR(X, PCs, partitions)

% NaNs are  produced in X by normalisation !
% So ...
% [X]=NaN2Median(X')';
% [X]=NaN2Median(X);

W = RowsPartition(X, partitions);
P=[];
T=[];
cols = size(X,2);
I = eye( cols, cols );

D=W{1}'*W{1};

for par = 2:partitions
    D = D + (W{par}'*W{par});
end % partitions

[Vx Sx]=eig(D);
Vx=flipud(Vx);

Taux = [];
for par = 1:partitions
    t = W{par}*Vx;
%     Taux = [Taux ; t];
    Taux = [Taux ; t(:,1:PCs)];
end

T = [T Taux];

